For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
ExamplesConsole
OverviewText to SpeechAPI ReferenceChangelog
OverviewText to SpeechAPI ReferenceChangelog
  • API Reference
    • Introduction
    • Authentication
  • Text to Speech
      • GETList Voices
      • POSTCreate Voice
      • DELDelete Voice
      • GETDownload Voice Sample
LogoLogo
ExamplesConsole
Text to SpeechVoices

List Voices

GET
https://api.speechify.ai/v1/voices
GET
/v1/voices
1from speechify import Speechify
2
3client = Speechify(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.tts.voices.list()
1[
2 {
3 "display_name": "John Doe",
4 "gender": "male",
5 "locale": "en-US",
6 "id": "voice_1234567890abcdef",
7 "models": [
8 {
9 "languages": [
10 {
11 "locale": "en-US",
12 "preview_audio": "https://cdn.speechify.com/previews/john_doe_en_us.mp3"
13 }
14 ],
15 "name": "simba-english"
16 }
17 ],
18 "type": "shared",
19 "avatar_image": "https://cdn.speechify.com/avatars/john_doe.png",
20 "preview_audio": "https://cdn.speechify.com/previews/john_doe_preview.mp3",
21 "tags": [
22 "friendly",
23 "clear"
24 ]
25 }
26]
Gets the list of voices available for the user
Was this page helpful?
Previous

Create Voice

Next
Built with

Authentication

AuthorizationBearer

Enter your API key with the Bearer prefix, e.g. ‘Bearer sk_…’.

Response

A list of voices
display_namestring
genderenum
Allowed values:
localestring
idstring
modelslist of objects
typeenum
Allowed values:
avatar_imagestring or null
preview_audiostring or null
tagslist of strings or null

Errors

401
Unauthorized Error
404
Not Found Error
500
Internal Server Error